## net.sf.saxon.expr.sort
Interface SortKeyEvaluator

All Known Implementing Classes:
  ForEachGroup, SortExpression, XPathExpressionImpl

    public interface SortKeyEvaluator

Callback interface used to evaluate sort keys. An instance of this class is passed to the SortedIterator, and is used whenever a sort key value needs to be computed.

Method Summary
`Item` `evaluateSortKey(int n, XPathContext context)` Evaluate the n'th sort key of the context item

Method Detail

### evaluateSortKey

    Item evaluateSortKey(int n,
                         XPathContext context)
                         throws XPathException

  Evaluate the n'th sort key of the context item

  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.